All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies
Interface ActionStrategyInterface

All Known Implementing Classes:
  AddRowStrategy, BaseActionStrategy, BaseColumnHeaderStrategy, BaseComboStrategy, BaseDataCellStrategy, BaseDataCellStrategy, BaseDataCellStrategy, BaseDetailDataStrategy, BaseEditEnabledStrategy, BaseEditMoveColumnStrategy, BaseEditSortStrategy, com.sas.actionprovider.strategies.remotefile2.BaseEditStrategy, BaseEmptyLabelStrategy, BaseHeaderStrategy, BaseHoldColumnStrategy, BaseHoldRowStrategy, BaseMapStrategy, BaseModelColumnStrategy, BaseModelRowStrategy, BaseMoveColumnStrategy, BaseOLAPModelStrategy, BaseOLAPStrategy, BaseRelationalModelStrategy, BaseRelationalStrategy, BaseRemoteFileStrategy, BaseRowEditStrategy, BaseSearchStrategy, BaseSelectorStrategy, BaseSelectorStrategy, BaseSortStrategy, BaseTableColumnStrategy, BaseTableRowColumnStrategy, BaseTableRowStrategy, BaseTableStrategy, BaseTitleStrategy, BaseToolBarStrategy, CancelRowInsertStrategy, CancelRowStrategy, CellValueAscendingSortStrategy, CellValueDescendingSortStrategy, ClearCellValueSortStrategy, ClearLevelLabelSortStrategy, ClearSortStrategy, ClearStrategy, CollapseAllStrategy, CollapseStrategy, ColumnHeaderStrategy, CommitDeleteStrategy, CommitInsertedRowStrategy, CommitRowStrategy, CopyStrategy, CopyStrategy, CutStrategy, CutStrategy, DefaultColumnHeaderStrategy, DefaultDataCellStrategy, DefaultDataCellStrategy, DefaultHeaderStrategy, DefaultTitleStrategy, DeleteRowStrategy, DeleteStrategy, DisplaySearchResultsStrategy, DragColumnStrategy, DrillDownStrategy, DrillUpStrategy, EditClearSortStrategy, EditMoveColumnLeftStrategy, EditMoveColumnRightStrategy, EditSortAscendingStrategy, EditSortDescendingStrategy, EmptyLabelStrategyHeaderCell, EmptyLabelStrategyTitleCell, ExpandAllStrategy, ExpandStrategy, ExportToExcelStrategy, ExportToExcelStrategy, FilterAndRankSelectorStrategy, FilterSelectorStrategy, FilterSelectorStrategy, HeaderLabelStrategy, HideColumnStrategy, HoldColumnLeftStrategy, HoldColumnRightStrategy, HoldRowBottomStrategy, HoldRowMenuStrategy, HoldRowTopStrategy, HttpDeleteRowStrategy, HttpInsertRowStrategy, HttpSearchStrategy, HttpUpOneLevelStrategy, InsertRowStrategy, LastHeaderLabelStrategy, LevelLabelAscendingSortStrategy, LevelLabelDescendingSortStrategy, MapClearSelectionsStrategy, MapCollapseModeStrategy, MapCollapseStrategy, MapDrillDownModeStrategy, MapDrillDownStrategy, MapDrillUpStrategy, MapExpandModeStrategy, MapExpandStrategy, MapExportToExcelStrategy, MapFilterSelectionsStrategy, MapFullExtentsStrategy, MapIdentifyModeStrategy, MapIdentifyStrategy, MapPanModeStrategy, MapPanStrategy, MapPropertyStrategy, MapRectangularSelectModeStrategy, MapRectangularSelectStrategy, MapReportLinkingModeStrategy, MapReportLinkingStrategy, MapResizeStrategy, MapSelectModeStrategy, MapSelectStrategy, MapSetMeasureStrategy, MapZoomInModeStrategy, MapZoomInStrategy, MapZoomOutModeStrategy, MapZoomOutStrategy, MeasureLabelStrategy, MoveColumnLeftStrategy, MoveColumnMenuStrategy, MoveColumnRightStrategy, MoveInStrategyHeaderCell, MoveInStrategyTitleCell, MoveLabelStrategyHeaderCell, MoveLabelStrategyTitleCell, MoveMeasureInStrategy, MoveMeasureLabelStrategy, MoveMeasureOutStrategy, MoveOutStrategyHeaderCell, MoveOutStrategyTitleCell, MoveStrategyHeaderCell, MoveStrategyTitleCell, OpenFolderStrategy, OpenFolderStrategyCombo, PasteStrategy, PasteStrategy, PercentCalculationsSelectorStrategy, PercentCalculationsSelectorStrategy, QuerySelectorStrategy, QuerySelectorStrategy, ReleaseAllColumnsStrategy, ReleaseAllRowsStrategy, ReleaseColumnStrategy, ReleaseRowStrategy, ReleaseSelectedColumnStrategy, ReleaseSelectedRowStrategy, RenameStrategy, RotateStrategy, SelectFileStrategy, ShowAllColumnsStrategy, ShowColumnStrategy, ShowDetailDataSelectorStrategy, ShowDetailDataStrategyDataCell, ShowDetailDataStrategyHeaderCell, SimpleCalculatedItemSelectorStrategy, SimpleCalculatedItemSelectorStrategy, SortColumnAscendingStrategy, SortColumnAscendingStrategyHeader, SortColumnAscendingStrategyHeader, SortColumnDescendingStrategy, SortColumnDescendingStrategyHeader, SortColumnDescendingStrategyHeader, SortLabelStrategy, SortSelectorStrategy, SortSelectorStrategy, TitleLabelStrategy, TotalsSelectorStrategy, TotalsSelectorStrategy, UpdateRowStrategy, UpOneLevelStrategy

    public interface ActionStrategyInterface

This interface is for defining the base API of all ActionStrategy classes used in the ActionProviderFramework.

ActionStrategy objects may do one or all of the following tasks for the Action object to which they are associated.

- Initialize the Action's default attributes.
- Determination of the Action's dynamic attribute values.
- Determination of the Action's status in different contexts.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.3
See Also:
  `BaseAction.setActionStrategy(com.sas.actionprovider.strategies.ActionStrategyInterface)`

Method Summary
`int` | `getActionStatus(BaseAction action, ActionSupportFilter filter)` Returns a status value indicating whether the Action is enabled for a specific area as described by various filter attributes.
`void` | `initializeAction(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Initializes all default settings for an Action.
`void` | `setActionAttributes(BaseAction action, ActionSupportFilter filter)` Sets all the dynamic attributes of the Action.
`void` | `setLocaleDependentDefaultAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Sets the Action's default locale dependent attribute values.

Method Detail

### initializeAction

    void initializeAction(BaseAction action,
                          java.lang.String areaType,
                          java.util.Locale locale)

  Initializes all default settings for an Action.

  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### setLocaleDependentDefaultAttributes

    void setLocaleDependentDefaultAttributes(BaseAction action,
                                             java.lang.String areaType,
                                             java.util.Locale locale)

  Sets the Action's default locale dependent attribute values.

  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### setActionAttributes

    void setActionAttributes(BaseAction action,
                             ActionSupportFilter filter)

  Sets all the dynamic attributes of the Action.

  Parameters:
    `action` - The Action to set dynamic attribute values on.
    `filter` - The ActionSupportFilter that contains area-specific information relating to where the Action will be used.

### getActionStatus

    int getActionStatus(BaseAction action,
                        ActionSupportFilter filter)

  Returns a status value indicating whether the Action is enabled for a specific area as described by various filter attributes.

  If enabled, the value is: ``ActionStatusKeysInterface.ENABLED``

  If disabled, the value may be one of the following values which indicate why the Action is disabled.

  - ``ActionStatusKeysInterface.VIEWER_DISABLED``
  - ``ActionStatusKeysInterface.AREA_DISABLED``
  - ``ActionStatusKeysInterface.MODEL_TYPE_DISABLED``
  - ``ActionStatusKeysInterface.MODEL_STATE_DISABLED``
  - ``ActionStatusKeysInterface.MODEL_MEMBER_DISABLED``
  - ``ActionStatusKeysInterface.IS_CURRENT_STATE_DISABLED``
  - ``ActionStatusKeysInterface.DISABLED``
  - ``ActionStatusKeysInterface.UNSUPPORTED``

  The status of an Action with a CommandSupportedInterface command whose `isSupported()` method returns false will have the `ActionStatusKeysInterface.UNSUPPORTED` status bit set.

  The status of an Action with a CommandStatusInterface command will have the status bit value returned by the command's `getCommandStatus()` method.

  The Action's status may also be set with bit values that are determined by the support class in addition to a command.

  Parameters:
    `action` - The action for which status is to be determined.
    `filter` - The ActionSupportFilter that encapsulates all information describing the specific area.
  Returns:
    the boolean indicating whether the Action is enabled
  See Also:
    `CommandSupportedInterface`, `CommandStatusInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.